package gov.usgs.earthquake.nshmp.tree;

/**
 * A logic tree branch.
 */
public interface Branch<T> {

  /** The branch id. */
  String id();

  /** The branch value. */
  T value();

  /** The branch weight. */
  double weight();

}
